Bug 1153652 - javapackages-tools: invalid JAVACMD when ABRT connector is enabled
Summary: javapackages-tools: invalid JAVACMD when ABRT connector is enabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: 21
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-16 12:45 UTC by Stanislav Baiduzhyi
Modified: 2016-05-05 04:41 UTC (History)
6 users (show)

Fixed In Version: 4.1.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 04:18:33 UTC


Attachments (Terms of Use)

Description Stanislav Baiduzhyi 2014-10-16 12:45:27 UTC
Description of problem:
After update from Fedora 19 to Fedora 20 and to Fedora 21, java apps cannot be launched.

Version-Release number of selected component (if applicable):
4.1.0-2

How reproducible:
After update, run "ant -help"

Steps to Reproduce:
1. Install Fedora 19.
2. Install ant.
3. Check that 'ant -help' works.
4. fedup to Fedora 20.
5. Check that 'ant -help' works.
6. fedup to Fedora 21.
7. Try 'ant -help', it will fail.
8. sudo echo JAVA_ABRT=off >>/etc/java/java.conf
9. Try 'ant -help', this time it will work.

Actual results:
ant fails with following output:
Error: JAVA_HOME is not defined correctly.
  We cannot execute /usr/lib/jvm/java/bin/java  -agentpath:/usr/lib/libabrt-java-connector.so=abrt=on

Expected results:
ant to print normal usage text.


Additional info:

Comment 1 Mikolaj Izdebski 2014-10-29 08:01:56 UTC
Confirmed.

# dnf install ant abrt-java-connector
# ant -version
Apache Ant(TM) version 1.9.4 compiled on August 11 2014
# abrtd 
# ant -version
Error: JAVA_HOME is not defined correctly.
  We cannot execute /usr/lib/jvm/java/bin/java  -agentpath:/usr/lib/libabrt-java-connector.so=abrt=on

Workaround is to disable ABRT Java connector by appending "JAVA_ABRT=off" line to /etc/java/java.conf

Comment 3 Mikolaj Izdebski 2014-10-30 15:09:38 UTC
Fixed in javapackages-tools-4.1.0-3

Comment 4 Fedora Update System 2014-10-30 15:41:08 UTC
javapackages-tools-4.1.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/javapackages-tools-4.1.0-3.fc21

Comment 5 Mikolaj Izdebski 2014-11-03 05:58:44 UTC
Moving to QA for testing.

Comment 6 Mikolaj Izdebski 2014-11-10 04:18:33 UTC
I believe that this bug is fixed in javapackages-tools-4.1.0-3,
which is available in Fedora 21, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=589109

Comment 7 Fedora Update System 2014-11-10 06:35:51 UTC
javapackages-tools-4.1.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.